
UpdateEram.bas automatic configuration utility for the
RC-210 Repeater Controller Copyright 2003 by Arcom Communications
Version 3.52

*************************************************************************************
**** PLEASE READ THESE INSTRUCTIONS AND UNDERSTAND THEM BEFORE LOADING AND USING ****
****                            THIS PROGRAM!                                    ****
****              YOU MUST INSTALL AND RUN THIS PROGRAM BEFORE                   ****
****                 ATTEMPTING TO LOAD THE FIRMWARE UPDATE                      ****
*************************************************************************************

Introduction
------------

This new utility replaces the now obsolete FirstTimeInitialize program. UpdateEram will
protect your custom programming while automatically configuring non-volatile memory 
(Eram) for firmware updates as needed. The only drawback to this new method is that it
must overwrite any custom programming you have done up to this point. From this point
forward however, your custom programming will be protected. 

Instructions For Use
--------------------

Upload this program to your RC-210 by first making sure your programming cable is
connected to both your computer's printer port (LPT1) and the programming header 
J5 on the RC-210. MAKE CERTAIN THE STRIPE ON THE CABLE IS LINED UP WITH THE "1"
MARKING ON THE BOARD. YOU MUST ALSO HAVE A JUMPER INSTALLED ONTO THE LED POWER
HEADER, J14.

If you are seeing this window in the Bascom program, you are all ready to go. If you
are reading this in a text viewer, you must first close it and then load this file 
into Bascom. Once that is done, continue......

Press F4 and the upload will begin. After the Write and Read windows come and go,
UpdateEram will automatically start to run, at which time the yellow LED's will 
light up. During this time, it is very important you do not interrupt the 
process! When UpdateEram has completely its task (this can take from 15 to 45 seconds
depending on what it determines must be done), the yellow LEDs will extinguish and the
green LEDs will flash. This indicates completion and success. 

Note: If for some reason you ever decide to run UpdateEram again, it will have nothing
it needs to update, so it is likely the yellow LEDs will never light and the green LEDs
will start to flash almost immediately.

Once you have the green LEDs, you may then load the new firmware. Please see rc2103_5.bas
for details on what this update provides.

